#!/usr/bin/perl

#################################################################
# Alex Carmona Referals Email Relay System     Version 1.050421 #
#################################################################
#                         ACREFERS.CGI                          #
#     Copyrights 2005 Hostwork International (Hostwork.com)     #
#                      All Rights Reserved.                     #
#################################################################

# LICENSE:
# The use of this application is restricted to its licensee only.
# It may not be used on any other site, modified, duplicated,
# published, or distributed without prior written license from
# Hostwork International.
# For more information visit our website or write to: software@hostwork.com

# USER VARIABLES (CAN BE EDITED BY THE WEBMASTER) #
$domo		= "Majordomo\@deathinelvalle.com";	# sender to use on outgoing email
$notify		= "newsletter\@deathinelvalle.com"; # recipient for notification
$subject	= "Confirme por favor su suscripcin del boletn";
$emailtext	= "newsletter.txt";		# text to send to referee
$returnpage	= "sp-confirm.html";	# page to return upon submission
$localdom	= "deathinelvalle.com"; # domain name of site
$debug		= 0;					# Uncomment to enable verbose debug output
# END OF USER VARIABLES

### INITIALIZATION ###
print "Content-type: text/html\n\n";
($http, $empty, $refdom, @rest) = split (/\//, $ENV{'HTTP_REFERER'});
$refdom =~ s/www.//; if ($refdom ne $localdom) {print "refdom $refdom doesn't match localdom $localdom!";};
use CGI;
$q = new CGI;
$q->import_names('in');
$firstname	= "$in::fname";
$lastname	= "$in::lname";
$country	= "$in::country";
$recipient	= "$in::email";
&checkemail;
&sendconfirm;
&sendnotice;
&makepage;
exit;

### ACTIONS ###
sub checkemail { print "checkemail - " if ($debug == 1);
if (grep(/.+\@.+\..+/,$recipient) != 1) { print "invalidemailpattern - " if ($debug == 1);
  $pagetitle	= "Error";
  $pagebody		= "La direccin incorporada era incorrecta.<BR>Vaya por favor detrs e intente otra vez.";
  $returnpage	= "sp-ref-confirm.html";
  &makepage;
  exit;
 }
}

sub sendconfirm { print "sendconfirm - " if ($debug == 1);
 open(MAIL,"|/usr/sbin/sendmail -t") || die "Un error ocurri y la forma no podra ser procesada! $!";
 print MAIL "De: $recipient\n";
 print MAIL "A: $domo\n";
 print MAIL "Objeto: Boletn: DeathInElValle \n\n";
 print MAIL "suscriba el boletn1 $recipient\n\n.\n";
 close(MAIL);
}

sub sendnotice { print "sendnotice - " if ($debug == 1);
 open(NOTICE,"|/usr/sbin/sendmail -t") || die "Un error ocurri y la forma no podra ser procesada! $!";
 print NOTICE "De: $notify\n";
 print NOTICE "A: $notify\n";
 print NOTICE "Objeto: Suscriptor del boletn\n\n";
 print NOTICE "Una suscripcin del boletn se ha solicitado cerca:\n\n";
 print NOTICE "$firstname\n$lastname\n$country\n$recipient\n\n";
 print NOTICE "La peticin fue sometida del IP address siguiente: $ENV{'REMOTE_ADDR'}\n";
 print NOTICE "\n.\n";
 close(NOTICE);
}

### OUTPUT SUBROUTINES ###
sub makepage { print "makepage - " if ($debug == 1);
 open (PAGE, "<$returnpage") || die "Error que recupera la plantilla: $returnpage";
 while ($string = <PAGE>) {
  $string =~ s/-PAGETITLE-/$pagetitle/ if $pagetitle;
  $string =~ s/-PAGEBODY-/$pagebody/ if $pagebody;
  print $string; }
 close(PAGE);
}

# EOF

