#!/usr/bin/perl

#################################################################
# Alex Carmona Referals Email Relay System     Version 1.050615 #
#################################################################
#                         ACREFERS.CGI                          #
#     Copyrights 2005 Hostwork International (Hostwork.com)     #
#                      All Rights Reserved.                     #
#################################################################

# LICENSE:
# The use of this application is restricted to its licensee only.
# It may not be used on any other site, modified, duplicated,
# published, or distributed without prior written license from
# Hostwork International.
# For more information visit our website or write to: software@hostwork.com

# USER VARIABLES (CAN BE EDITED BY THE WEBMASTER) #
$sender		= "tofriend\@deathinelvalle.com";	# sender to use on outgoing email
$refsubject	= "A friend would like you to visit our website";
$reftext	= "ref-mail.txt";		# text to send to referee
$refpage	= "ref-confirm.html";	# page to return upon submission
$localdom	= "deathinelvalle.com"; # domain name of site
$debug		= 0;					# Uncomment to enable verbose debug output
# END OF USER VARIABLES

### INITIALIZATION ###
print "Content-type: text/html\n\n";
($http, $empty, $refdom, @rest) = split (/\//, $ENV{'HTTP_REFERER'});
$refdom =~ s/www.//; if ($refdom ne $localdom) {print "refdom $refdom doesn't match localdom $localdom!";};
use CGI;
$q = new CGI;
$q->import_names('in');
$pagetitle = " ";
$pagebody = " ";
$referto = "$in::refto";
&sendreferal;
&makepage;
exit;

### ACTIONS ###
sub sendreferal { print "sendreferal - " if ($debug == 1);
if (grep(/.+\@.+\..+/,"$referto") != 1) { print "invalidemailpattern - " if ($debug == 1);
  $pagetitle	= "Error";
  $pagebody		= "<H1 ALIGN=center>The address entered was incorrect.<BR><BR>Please go back and try again.</H1>";
  &makepage;
  exit;
 } else {
  $pagetitle	= "Link Sent";
  $pagebody		= "Thank you!<BR><BR>A link to DeathInElValle.com has<BR><BR>been forwarded to $referto<BR><BR>:-)";
  open (TEXT,"<$reftext") || die "Error retrieving mail body: $reftext";
  @refmail = <TEXT>; close(TEXT);
  foreach $line (@refmail) { $refmailtxt .= $line; }
  open(MAIL,"|/usr/sbin/sendmail -t") || die "An error occured and the form could not be processed! $!";
  print MAIL "From: $sender\n";
  print MAIL "To: $referto\n";
  print MAIL "Subject: $refsubject\n\n";
  print MAIL "$refmailtxt $ENV{'REMOTE_ADDR'}\n";
  print MAIL "\n.\n";
  close(MAIL);
 }
}

### OUTPUT SUBROUTINES ###
sub makepage { print "makepage - " if ($debug == 1);
 open (PAGE, "<$refpage") || die "Error retrieving template: $refpage";
 while ($string = <PAGE>) {
  $string =~ s/-PAGETITLE-/$pagetitle/;
  $string =~ s/-PAGEBODY-/$pagebody/;
  print $string; }
 close(PAGE);
}

# EOF

