#!/usr/bin/perl

#################################################################
# Alex Carmona Referals Email Relay System     Version 1.050421 #
#################################################################
#                         ACREFERS.CGI                          #
#     Copyrights 2005 Hostwork International (Hostwork.com)     #
#                      All Rights Reserved.                     #
#################################################################

# LICENSE:
# The use of this application is restricted to its licensee only.
# It may not be used on any other site, modified, duplicated,
# published, or distributed without prior written license from
# Hostwork International.
# For more information visit our website or write to: software@hostwork.com

# USER VARIABLES (CAN BE EDITED BY THE WEBMASTER) #
$returnpage	= "dvd-confirm.html";	# page to return upon submission
$debug		= 0;					# Uncomment to enable verbose debug output
# END OF USER VARIABLES

### INITIALIZATION ###
print "Content-type: text/html\n\n";
use CGI;
$q = new CGI;
$q->import_names('in');

$item		= "$in::item";
$price		= "$in::price";
$quantity	= "$in::quantity";
$extra		= "$in::extra";
$shipto		= "$in::shipto";
&calculate;
&makepage;
exit;

### ACTIONS ###
sub calculate { print "calculate - " if ($debug == 1);
 ($shiprate, $country)	= split(/\;/,$shipto);
 $subtotal	= $price * $quantity;
 $shipping	=  ($quantity * $extra) + ($shiprate - $extra);
 $shipline	= "$shipping;$country";
 $total		= $subtotal + $shipping;
}

sub makepage { print "makepage - " if ($debug == 1);
 open (PAGE, "<$returnpage") || die "Error retrieving template: $returnpage";
 while ($string = <PAGE>) {
  $string =~ s/-QUANTITY-/$quantity/;
  $string =~ s/-DESCRIPTION-/$item/;
  $string =~ s/-UNITPRICE-/$price/;
  $string =~ s/-SUBTOTAL-/$subtotal/;
  $string =~ s/-TOTAL-/$total/;
  $string =~ s/-SHIPLINE-/$shipline/;
  $string =~ s/-COUNTRY-/$country/;
  $string =~ s/-SHIPPING-/$shipping/;
  print $string; }
 close(PAGE);
}

# EOF

